#!/bin/sh

############################################################################
#
# Sets JAVA_HOME
#
if [ "$JAVA_HOME" = "" ] ; then
   echo "ERROR: JAVA_HOME not found in the environment"
   echo ""
   echo "Please, set the JAVA_HOME variable in your environment to match the"
   echo "location of the Java Virtual Machine you want to use."
   exit
fi


############################################################################
#
# Sets the classpath
#
for I in ../lib/*.jar
do
 JAVA_CLASSPATH=${JAVA_CLASSPATH}:"$I"
done


############################################################################
#
# Starts the program
#
${JAVA_HOME}/bin/java -cp ${JAVA_CLASSPATH} test.TestCodecDecode $1 $2 $3 $4 $5 $6 $7 $8
